%global momorel 3
%global md5sum_src0 0ae6e3d4110a512063f101e459aeea53
Summary: Gnome Attacks - a game of bombing cities into oblivion
Name: gnomeattacks
Version: 0.3
Release: %{momorel}m%{?dist}
License: GPL
Group: Amusements/Games
URL: http://gnomeattacks.sourceforge.net/
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
Source1: gnomeattacks.desktop
Patch0: gnomeattacks-0.3-schemas.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: libgnomeui-devel

%description
Gnome Attacks is a Gnome 2 game where you bomb cities into oblivion in order to
make a flat surface for your rapidly-losing-height spaceship to land. It is
extremely accessible since you can control it "simply using one finger."

%prep
%setup -q
%patch0 -p1 -b .schemas

%build
autoreconf -vfi
%configure
%make 

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
install -d %{buildroot}/%{_datadir}/applications/
install %{SOURCE1} %{buildroot}/%{_datadir}/applications/
cp %{buildroot}/%{_datadir}/pixmaps/%{name}/ship.png \
    %{buildroot}/%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnomeattacks.schemas > /dev/null

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/applications/%{name}.desktop
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Jul 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3-3m)
- fix schemas install dir

* Tue Mar 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3-2m)
- To Main

* Fri Sep 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3-1m)
- initial build
